# Uses of Class
org.codehaus.janino.Java.FunctionDeclarator

Packages that use Java.FunctionDeclarator
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.
org.codehaus.janino.util
Application-independent helper classes.

## Uses of Java.FunctionDeclarator in org.codehaus.janino

Subclasses of Java.FunctionDeclarator in org.codehaus.janino
Modifier and Type
Class
Description
`static final class`
`Java.ConstructorDeclarator`
Representation of a constructor declarator.
`static final class`
`Java.MethodDeclarator`
Representation of a method declarator.
Methods in org.codehaus.janino with parameters of type Java.FunctionDeclarator
Modifier and Type
Method
Description
`R`
Visitor.TypeBodyDeclarationVisitor.`visitFunctionDeclarator(Java.FunctionDeclarator fd)`
Invoked by `accept(Visitor.TypeBodyDeclarationVisitor)`.

## Uses of Java.FunctionDeclarator in org.codehaus.janino.util

Methods in org.codehaus.janino.util that return Java.FunctionDeclarator
Modifier and Type
Method
Description
`Java.FunctionDeclarator`
DeepCopier.`copyFunctionDeclarator(Java.FunctionDeclarator subject)`
Methods in org.codehaus.janino.util with parameters of type Java.FunctionDeclarator
Modifier and Type
Method
Description
`Java.FunctionDeclarator`
DeepCopier.`copyFunctionDeclarator(Java.FunctionDeclarator subject)`
`void`
AbstractTraverser.`traverseFunctionDeclarator(Java.FunctionDeclarator fd)`
`void`
Traverser.`traverseFunctionDeclarator(Java.FunctionDeclarator fd)`